<app-time-zones></app-time-zones>
<div class="container">
  <div class="row">
    <div class="col-md-6">
      <div class="well-block">
        <div class="well-title">
          <h2>Book an Appointment</h2>
        </div>
        <form>
          <!-- Form start -->
          <div class="row">
            <!-- Text input-->
            <div class="col-md-12">
              <div class="form-group">
                <mat-calendar [minDate]="minDate"
                              [selected]="selectedDate"
                              (selectedChange)="onSelectedDate($event)">

                </mat-calendar>
              </div>
            </div>
            <!-- Select Basic -->
            <div class="col-md-6">
              <div class="form-group">
                <label class="control-label" for="time">Duration</label>
                <select [(ngModel)]="selectedDuration"
                        #mySelect
                        (change)="onChange(mySelect.value)"
                        id="duration" name="duration" class="form-control">
                  <option *ngFor="let timeAvailable of timesAvailable; let i = index"
                          value="{{i}}">{{timeAvailable.duration}}</option>
                </select>
              </div>
            </div>
            <!-- Select Basic -->
            <div class="col-md-6">
              <div class="form-group">
                <label class="control-label" for="time">Time slot</label>
                <select (change)="onChangeTimeSlot($event)" [(ngModel)]="selectedStartAt" id="time" name="time"
                        class="form-control">
                  <option *ngFor="let timeSlot of timesSlot;"
                          value="{{timeSlot.from}}">{{timeSlot.from}} to {{timeSlot.to}}</option>
                </select>
              </div>
            </div>
            <!-- Button -->
            <div class="col-md-12">
              <h1>{{message}}</h1>
            </div>
            <div class="col-md-12">
              <div class="form-group">
                <button (click)="booking()" id="singlebutton" name="singlebutton" class="btn btn-success">Make An
                  Appointment
                </button>
              </div>
            </div>

          </div>
        </form>
        <!-- form end -->
      </div>
    </div>
    <div class="col-md-6">
      <div class="well-block">
        <div class="well-title">
          <h2>Why Appointment with Us</h2>
        </div>
        <div class="feature-block">
          <div class="feature feature-blurb-text">
            <h4 class="feature-title">24/7 Hours Available</h4>
            <div class="feature-content">
              <p>Integer nec nisi sed mi hendrerit mattis. Vestibulum mi nunc, ultricies quis vehicula et, iaculis in
                magnestibulum.</p>
            </div>
          </div>
          <div class="feature feature-blurb-text">
            <h4 class="feature-title">Experienced Staff Available</h4>
            <div class="feature-content">
              <p>Aliquam sit amet mi eu libero fermentum bibendum pulvinar a turpis. Vestibulum quis feugiat risus. </p>
            </div>
          </div>
          <div class="feature feature-blurb-text">
            <h4 class="feature-title">Low Price & Fees</h4>
            <div class="feature-content">
              <p>Praesent eu sollicitudin nunc. Cras malesuada vel nisi consequat pretium. Integer auctor elementum
                nulla suscipit in.</p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
